- Qt 5.15
- Qt 3D
- C++ Classes
- QStencilOperation
- Qt 5.15.19 Reference Documentation

# QStencilOperation Class

class Qt3DRender::QStencilOperation

The QStencilOperation class specifies stencil operation. More...

Header: | #include <QStencilOperation>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilOperation
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilOperationArguments* const
- front : Qt3DRender::QStencilOperationArguments* const

## Public Functions

QStencilOperationArguments * | back() const
QStencilOperationArguments * | front() const

## Detailed Description

A Qt3DRender::QStencilOperation class specifies the stencil operations for the front- and back-facing polygons. The stencil operation control what is done to fragment when the stencil and depth test pass or fail.

See also Qt3DRender::QStencilTest.

## Property Documentation

### back : Qt3DRender::QStencilOperationArguments* const

Holds the stencil operation arguments for back-facing polygons.

Access functions:

QStencilOperationArguments * | back() const

### front : Qt3DRender::QStencilOperationArguments* const

Holds the stencil operation arguments for front-facing polygons.

Access functions:

QStencilOperationArguments * | front() const